Subject: Re: 26.0.50; revert-buffer and git vc-outgoing

From: Tom Tromey <[email-masked]>
Date: Mon, 11 Sep 2017 21:36:10 -0600

>>>>> "Tom" == Tom Tromey <[email-masked]> writes:

Tom> I have a local git branch.  I open vc-dir and use "O" to get the
Tom> outgoing revisions.

Tom> In *vc-outgoing*, if I type 'g' (revert-buffer), it doesn't first erase
Tom> the buffer, so all the outgoing revisions are repeated.

This patch seems to do it.
I changed vc-git-log-incoming as well since it looks like it should have
the same problem.

Tom

diff --git a/lisp/vc/vc-git.el b/lisp/vc/vc-git.el
index cc3e295..47b661a 100644
--- a/lisp/vc/vc-git.el
+++ b/lisp/vc/vc-git.el
@@ -1029,6 +1030,7 @@ vc-git-print-log
 		'("--")))))))
 
 (defun vc-git-log-outgoing (buffer remote-location)
+  (vc-setup-buffer buffer)
   (interactive)
   (vc-git-command
    buffer 'async nil
@@ -1043,6 +1045,7 @@ vc-git-log-outgoing
 
 (defun vc-git-log-incoming (buffer remote-location)
   (interactive)
+  (vc-setup-buffer buffer)
   (vc-git-command nil 0 nil "fetch")
   (vc-git-command
    buffer 'async nil